BasicCollectionInitializor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.lazy.initializor
Class BasicCollectionInitializor<T extends Collection>

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor<T>
          org.hibernate.envers.entities.mapper.relation.lazy.initializor.BasicCollectionInitializor<T>

All Implemented Interfaces:
  Initializor<T>

Direct Known Subclasses:
  SortedSetCollectionInitializor

    public class BasicCollectionInitializor<T extends Collection>

extends AbstractCollectionInitializor<T>

Initializes a non-indexed java collection (set or list, eventually sorted).

Field Summary
`protected Class<? extends T>` | `collectionClass`

Fields inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor
`entityInstantiator, revision`

Constructor Summary
`BasicCollectionInitializor(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, RelationQueryGenerator queryGenerator, Object primaryKey, Number revision, Class<? extends T> collectionClass, MiddleComponentData elementComponentData)`

Method Summary
`protected void` | `addToCollection(T collection, Object collectionRow)`
`protected T` | `initializeCollection(int size)`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor
`initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### collectionClass

    protected final Class<? extends T extends Collection> collectionClass

Constructor Detail

### BasicCollectionInitializor

    public BasicCollectionInitializor(AuditConfiguration verCfg,
                                      AuditReaderImplementor versionsReader,
                                      RelationQueryGenerator queryGenerator,
                                      Object primaryKey,
                                      Number revision,
                                      Class<? extends T> collectionClass,
                                      MiddleComponentData elementComponentData)

Method Detail

### initializeCollection

    protected T initializeCollection(int size)

  Specified by:
    `initializeCollection` in class `AbstractCollectionInitializor<T extends Collection>`

### addToCollection

    protected void addToCollection(T collection,
                                   Object collectionRow)

  Specified by:
    `addToCollection` in class `AbstractCollectionInitializor<T extends Collection>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.